/*
  Java Japanese-English dictionary/Kanjidic browser
  Copyright (C) 1997 Todd David Rudick

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

 */

import java.awt.*;
import java.util.*;

// a general list interface
public interface GenList {
  static public class List extends java.awt.List implements GenList {
    public List() {
      super();
    }
    public List(int i) {
      super(i);
    }
    public List(int i, boolean b) {
      super(i,b);
    }
    public void add(String s) {
      super.add(s);
    }
    public void removeAll() {
      boolean b = isVisible();
      setVisible(false);
      super.removeAll();
      setVisible(b);
    }
  }
  public abstract void add(String s);
  public abstract void removeAll();
}


